LINUX.ORG.RU

Поддержка динамического управления питанием для видеокарт ATI/AMD будет добавлена в Linux 3.11

 , , , ,


2

5

Alex Deucher опубликовал 165 патчей, которые станут частью ядра Linux версии 3.11. Основные изменения, без сомнения, порадуют поклонников данной свободной операционной системы:

  • поддержка динамического переключения питания (Dynamic Power Management) для чипов r6xx-SI;
  • поддержка CIK (Sea Islands): modesetting, 3D, compute, UVD;
  • поддержка ASPM для чипов R6xx-SI.

Следует отметить, что патчи носят экспериментальный характер, так что данная функциональность по умолчанию отключена. Для включения автоматического управления питанием необходимо передать параметр radeon.dpm=1 при загрузке ядра.

>>> Подробности

Отмечусь и тут тоже.

Отличная новость. Спасибо амд!

ekzotech ★★★★ ()

Linux 3.11

А потом будет Linux 95, Linux 98, Linux ME…?

Ttt ☆☆☆☆☆ ()
Ответ на: комментарий от Ttt

А потом будет Linux 95, Linux 98, Linux ME…?

Главное, чтобы не Linux Tiger, Linux Leopard, Linux Snow Leopard...

madcore ★★★★★ ()

Позитивная новость. Глядишь и AMD через десяток лет станет юзабельна!

bitick ()

Всем заинтересованным лицам предлагается поучаствовать в тестировании данного функционала (с выходом 3.11-rc1) и сообщить о проблемах разработчикам.

RussianNeuroMancer ★★★★★ ()
Ответ на: комментарий от bitick

Фанат чего? Качественной во всех отношениях продукции? Ну да, я люблю такую продукцию, когда-то это была невидия, сейчас амд. Подтянет невидия свои карты до уровня амд, тогда я куплю их карту. А сейчас амд, что видюха, что проц. Планшетик вот думаю на тегре4 взять.

daemonpnz ★★★★★ ()

это значит, что не будет греться как печка на свободных дровах ?

smilessss ★★★★ ()
Ответ на: комментарий от Kompilainenn

как это? а что , есть какой-то другой линукс?

Возможно, но на kernel.org про убантуэ пацаны не в курсе.

madcore ★★★★★ ()

А 5.1 звук по HDMI (без трюков типа dcaenc) - нет.

AEP ★★★★★ ()

Кто-нибудь в курсе, в linux-next уже есть эти патчи?

feofan ★★★★★ ()
Ответ на: комментарий от daemonpnz

как бы тебе это сказать... тегру не амд выпускает

alex-w ★★★★★ ()
Ответ на: комментарий от alex-w

Да ты шо?! Без тебя бы, милок, в жисть бы не догадался. Хотя может ты включишь мозги и догадаешься, что последнее предложение призвано подчеркнуть, что в случае ультрамобильных чипов мне нравится невидия? Или мозга не хватает на столь сложную операцию?

daemonpnz ★★★★★ ()
Ответ на: комментарий от smilessss

Оно и сейчас не греется, если включить режим low.

daemonpnz ★★★★★ ()
Ответ на: комментарий от daemonpnz

А может лучше ты включишь мозги и начнёшь нормально формулировать свои мысли?

alex-w ★★★★★ ()
Ответ на: комментарий от alex-w

Оно нормально сформулировано, кто знает, что тегра4 от невидии, тот поймёт. А кто не поймёт или просто решит потролить, тому скатертью дорожка, в том числе престарелым джедаям.

daemonpnz ★★★★★ ()
Ответ на: комментарий от bitick

Я лично убедился в том, что пока нельзя.

да вы правы - Вам нельзя.

ЗЫ: меня всегда поражали владельцы невидии - это какой радиус кривизны рук надо иметь чтобы не смочь завести Радеона...

Sith ★★★★★ ()

Наконец-то. У меня греющийся ноутбук. В режиме 2D он 60°, в 3D - 80°. С открытым драйвером он 80° всегда, включая 2D. В ответ на вопрос «почему так?» некоторые люди злились, говорили про мои кривые руки, и показывали мануалку, в которой нужно в файл в каталоге /proc передавать переменную. Ничего не изменилось.

Сейчас буду накладывать патчи. Надеюсь что заработает сразу, и libdrm-9999 и xf86-video-ati-9999 устанавливать не придётся.

ZenitharChampion ★★★★★ ()
Ответ на: комментарий от RussianNeuroMancer

Ты любишь умалчивать о неприятных тебе вещах. Например, говоришь что в последних драйверах NVIDIA перестали работать модели. Среди перечисленных - моя, которая прекрасно работает с Legacy-драйвером 304.xx. Потом, говоришь что гибридная графика в ATi/AMD появилась на два года раньше. Но умалчиваешь про Bumblebee и "PowerXpress feature is not supported on A+I Mux platform. Please uninstall fglrx driver". Так-то.

ZenitharChampion ★★★★★ ()
Последнее исправление: ZenitharChampion (всего исправлений: 2)
Ответ на: комментарий от ZenitharChampion

Например, говоришь что в последних драйверах NVIDIA перестали работать модели. Среди перечисленных - моя, которая прекрасно работает с Legacy-драйвером 304.xx.

Уже ответил.

Потом, говоришь что гибридная графика в ATi/AMD появилась на два года раньше. Но умалчиваешь про Bumblebee

Поддержку от вендора и самодельные костыли различаете?

и "PowerXpress feature is not supported on A+I Mux platform. Please uninstall fglrx driver". Так-то.

Тоже ответил. Кстати, на MUX-ed платформах вполне работает DRI_PRIME, так-то. У вас какие-то вопросы-пожелания ко мне остались? Вы пишите, не стесняйтесь.

RussianNeuroMancer ★★★★★ ()
Ответ на: комментарий от daemonpnz

не у всех
у меня даже с low свободные проигрывают блобу на 10 градусов
частоты видно что меняются а толку то

smilessss ★★★★ ()
Ответ на: комментарий от ZenitharChampion

про Bumblebee

Я ни разу не сталкивался с ноутом с optimus или подобным, но судя по описаниям других, с optimus под linux было никак (от слова «совсем»). Ну просто не работало, так что разработка bumblebee была подстёгнута необходимостью иметь хоть что-то работающее. В то время как fglrx (или catalyst) хоть плохонько, но умел переключать графику. В данном случае хуже оказалось лучше.

Не приписывай работу сообщества достоинствам вендора.

i-rinat ★★★★★ ()
Ответ на: комментарий от ZenitharChampion

У тебя родной наверно как у меня проблема? У всех профилей в vbios'e стоит одно и то же значение, т.е. как ты не меняй значения ничего работать не будет.

vladkuzm ()
Ответ на: комментарий от Ttt

А потом будет Linux 95, Linux 98, Linux ME…?

Ты забыл NT 3.51.

Ramen ★★★★ ()

поддержка динамического переключения питания (Dynamic Power Management) для чипов NVIDIA

Починил!

fallout4all ★★★★★ ()
Ответ на: комментарий от RussianNeuroMancer

С удовольствием бы тестировал, но толку от меня мало будет. Если только автоматом багрепорты слать будет. =)

ArturK ()

улучшат энергопотребление AMD. Ну-ну. Пока только ухудшили работу atl1c в новых ядрах.

insider ★★★ ()

Задолбали, в толксах амд/нвидия-срача и то меньше было.

Shlyapa ★★ ()

А чего это мне амд-фанатики рассказывали, что энергосбережение у них уже есть? Пердели как всегда.

anonymous ()
Ответ на: комментарий от feofan

Я не советую ставить linux-next или rc, руководствуясь горьким опытом.

anonymous ()
Ответ на: комментарий от Spectral_Walker

Гыгы, скоро так и будет - я уже точно знаю что моя следующая видеокарта будет именно AMD + опенсорсный драйвер.

I-Love-Microsoft ★★★★★ ()
Ответ на: комментарий от RussianNeuroMancer

Хм, у никогда не было проблем ни с нвидией ни с амд-картами... (как и на винде) Хотя нет, на линуксе были фризы, крэши, и очень часто, когда у меня был Radeon 4650HD с fglrx.

Как купил GF 630 GT так и все проблемы на линуксе (фризинг эффектов на радеоне, падения иксов и прочее) исчезли.

Сейчас вот стоит 319.23, никаких проблем с иксами и гимпом, или с флешем не было. Мне таки везет, возможно потому что я юзал Генту и теперь вот Дебиан.

А прочие дистры, возможно мейнтейнеры там не пинают разрабов невидии... а те и не чешутся.

RedEyedMan ()
Ответ на: комментарий от I-Love-Microsoft

я уже точно знаю что моя следующая видеокарта будет именно AMD + опенсорсный драйвер

Полагаю про игры в стиме под убунточкой ты можешь забыть, Да и зачем когда в дуалботе винда, а в углу какой-нибудь иксбокс или PS...

RedEyedMan ()
Ответ на: комментарий от ZenitharChampion

Сейчас буду накладывать патчи. Надеюсь что заработает сразу, и libdrm-9999 и xf86-video-ati-9999 устанавливать не придётся.

Проверил, работает без установки -9999.

AEP ★★★★★ ()

Теперь-то workgroups будут довольны

buddhist ★★★★★ ()
Ответ на: комментарий от RedEyedMan

Нет, как раз игры будут работать на опенсорсном, ибо будет OpenGL 3.x, а карта будет HD9000, я не скоро решусь на апгрейд

I-Love-Microsoft ★★★★★ ()
Ответ на: комментарий от RussianNeuroMancer

нужно обладать терпением гораздо большим, чем с Радеонами

Да что ты знаешь о терпении... Поюзал бы 4650HD с fglrx, посмотрел бы я на тебя, лол. А уж с 6000 серией так вообще еще хуже. В общем, не стоит пытаться обелить АМД. Обе компании ведут себя одинаково, просто ситуации немного разные.

Радоены в линуксе с опенсорсным драйвером - это тупо кирпич, дальше инвалидного 3D дело не идет. Вот смысл покупать топовую 6667 и юзать опенсорщину? Ни ускорения трехмерного, ни энергосбережения... Тогда как оптимус просто работает, даже в этом вашем арче. Вот кента-арчевода с его Леновой перетащил на генту, так и там она просто работает. Карму надо иметь хорошую, и писать багрепорты, беспощадно и бессмысленно...

RedEyedMan ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.